NX Open C++ Reference Guide
|
Represents a GeometricUtilities::StartHoleData
Created in NX5.0.2.
More...
Public Types | |
enum | HoleForms { HoleFormsSimple, HoleFormsCounterbored, HoleFormsCountersink } |
This enum represents hole form options in start plate of hole series. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::BooleanOperation * | BooleanOperation () |
Returns the boolean operation Created in NX5.0.2. | |
NXOpen::Expression * | CounterboreDepth () |
Returns the counterbore depth Created in NX5.0.2. | |
NXOpen::Expression * | CounterboreDiameter () |
Returns the counterbore diameter Created in NX5.0.2. | |
NXOpen::Expression * | CountersinkAngle () |
Returns the countersink angle Created in NX5.0.2. | |
NXOpen::Expression * | CountersinkDiameter () |
Returns the countersink diameter Created in NX5.0.2. | |
NXOpen::Expression * | EndChamferAngle () |
Returns the end chamfer angle Created in NX5.0.2. | |
bool | EndChamferEnabled () |
Returns the end chamfer enabled Created in NX5.0.2. | |
NXOpen::Expression * | EndChamferOffset () |
Returns the end chamfer offset Created in NX5.0.2. | |
NXString | FitOption () |
Returns the fit option Created in NX5.0.2. | |
NXOpen::Expression * | HoleDiameter () |
Returns the hole diameter Created in NX5.0.2. | |
NXOpen::GeometricUtilities::StartHoleData::HoleForms | HoleForm () |
Returns the hole form Created in NX5.0.2. | |
NXOpen::Expression * | NeckChamferAngle () |
Returns the neck chamfer angle Created in NX5.0.2. | |
bool | NeckChamferEnabled () |
Returns the neck chamfer enabled Created in NX5.0.2. | |
NXOpen::Expression * | NeckChamferOffset () |
Returns the neck chamfer offset Created in NX5.0.2. | |
NXOpen::Expression * | ReliefDepth () |
Returns the relief depth Created in NX5.0.2. | |
bool | ReliefEnabled () |
Returns the relief enabled Created in NX5.0.2. | |
NXString | ScrewSize () |
Returns the screw size Created in NX5.0.2. | |
NXString | ScrewType () |
Returns the screw type Created in NX5.0.2. | |
void | SetEndChamferEnabled (bool endChamferEnabled) |
Sets the end chamfer enabled Created in NX5.0.2. | |
void | SetFitOption (const NXString &fitOption) |
Sets the fit option Created in NX5.0.2. | |
void | SetFitOption (const char *fitOption) |
Sets the fit option Created in NX5.0.2. | |
void | SetHoleForm (NXOpen::GeometricUtilities::StartHoleData::HoleForms holeForm) |
Sets the hole form Created in NX5.0.2. | |
void | SetNeckChamferEnabled (bool neckChamferEnabled) |
Sets the neck chamfer enabled Created in NX5.0.2. | |
void | SetReliefEnabled (bool reliefEnabled) |
Sets the relief enabled Created in NX5.0.2. | |
void | SetScrewSize (const NXString &screwSize) |
Sets the screw size Created in NX5.0.2. | |
void | SetScrewSize (const char *screwSize) |
Sets the screw size Created in NX5.0.2. | |
void | SetScrewType (const NXString &screwType) |
Sets the screw type Created in NX5.0.2. | |
void | SetScrewType (const char *screwType) |
Sets the screw type Created in NX5.0.2. | |
void | SetStartChamferEnabled (bool startChamferEnabled) |
Sets the start chamfer enabled Created in NX5.0.2. | |
NXOpen::Expression * | StartChamferAngle () |
Returns the start chamfer angle Created in NX5.0.2. | |
bool | StartChamferEnabled () |
Returns the start chamfer enabled Created in NX5.0.2. | |
NXOpen::Expression * | StartChamferOffset () |
Returns the start chamfer offset Created in NX5.0.2. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::StartHoleData
Created in NX5.0.2.
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::GeometricUtilities::StartHoleData::BooleanOperation | ( | ) |
Returns the boolean operation
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::CounterboreDepth | ( | ) |
Returns the counterbore depth
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::CounterboreDiameter | ( | ) |
Returns the counterbore diameter
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::CountersinkAngle | ( | ) |
Returns the countersink angle
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::CountersinkDiameter | ( | ) |
Returns the countersink diameter
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::EndChamferAngle | ( | ) |
Returns the end chamfer angle
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::StartHoleData::EndChamferEnabled | ( | ) |
Returns the end chamfer enabled
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::EndChamferOffset | ( | ) |
Returns the end chamfer offset
Created in NX5.0.2.
License requirements : None
NXString NXOpen::GeometricUtilities::StartHoleData::FitOption | ( | ) |
Returns the fit option
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::HoleDiameter | ( | ) |
Returns the hole diameter
Created in NX5.0.2.
License requirements : None
NXOpen::GeometricUtilities::StartHoleData::HoleForms NXOpen::GeometricUtilities::StartHoleData::HoleForm | ( | ) |
Returns the hole form
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::NeckChamferAngle | ( | ) |
Returns the neck chamfer angle
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::StartHoleData::NeckChamferEnabled | ( | ) |
Returns the neck chamfer enabled
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::NeckChamferOffset | ( | ) |
Returns the neck chamfer offset
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::ReliefDepth | ( | ) |
Returns the relief depth
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::StartHoleData::ReliefEnabled | ( | ) |
Returns the relief enabled
Created in NX5.0.2.
License requirements : None
NXString NXOpen::GeometricUtilities::StartHoleData::ScrewSize | ( | ) |
Returns the screw size
Created in NX5.0.2.
License requirements : None
NXString NXOpen::GeometricUtilities::StartHoleData::ScrewType | ( | ) |
Returns the screw type
Created in NX5.0.2.
License requirements : None
void NXOpen::GeometricUtilities::StartHoleData::SetEndChamferEnabled | ( | bool | endChamferEnabled | ) |
Sets the end chamfer enabled
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
endChamferEnabled | endchamferenabled |
void NXOpen::GeometricUtilities::StartHoleData::SetFitOption | ( | const NXString & | fitOption | ) |
Sets the fit option
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
fitOption | fitoption |
void NXOpen::GeometricUtilities::StartHoleData::SetFitOption | ( | const char * | fitOption | ) |
Sets the fit option
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
fitOption | fitoption |
void NXOpen::GeometricUtilities::StartHoleData::SetHoleForm | ( | NXOpen::GeometricUtilities::StartHoleData::HoleForms | holeForm | ) |
Sets the hole form
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
holeForm | holeform |
void NXOpen::GeometricUtilities::StartHoleData::SetNeckChamferEnabled | ( | bool | neckChamferEnabled | ) |
Sets the neck chamfer enabled
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
neckChamferEnabled | neckchamferenabled |
void NXOpen::GeometricUtilities::StartHoleData::SetReliefEnabled | ( | bool | reliefEnabled | ) |
Sets the relief enabled
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
reliefEnabled | reliefenabled |
void NXOpen::GeometricUtilities::StartHoleData::SetScrewSize | ( | const NXString & | screwSize | ) |
Sets the screw size
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
screwSize | screwsize |
void NXOpen::GeometricUtilities::StartHoleData::SetScrewSize | ( | const char * | screwSize | ) |
Sets the screw size
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
screwSize | screwsize |
void NXOpen::GeometricUtilities::StartHoleData::SetScrewType | ( | const NXString & | screwType | ) |
Sets the screw type
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
screwType | screwtype |
void NXOpen::GeometricUtilities::StartHoleData::SetScrewType | ( | const char * | screwType | ) |
Sets the screw type
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
screwType | screwtype |
void NXOpen::GeometricUtilities::StartHoleData::SetStartChamferEnabled | ( | bool | startChamferEnabled | ) |
Sets the start chamfer enabled
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
startChamferEnabled | startchamferenabled |
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::StartChamferAngle | ( | ) |
Returns the start chamfer angle
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::StartHoleData::StartChamferEnabled | ( | ) |
Returns the start chamfer enabled
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::StartHoleData::StartChamferOffset | ( | ) |
Returns the start chamfer offset
Created in NX5.0.2.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.